package de.hs_mannheim.informatik.spreadsheet;

import java.io.FileNotFoundException;
import java.util.Scanner;

/**
 * Part of a simplified spreadsheet system for the PR1 programming lab at Hochschule Mannheim.
 *
 * @author  Oliver Hummel
 */
public class Axel {

	public static void main(String[] args) throws FileNotFoundException {
		Spreadsheet spr = new Spreadsheet(10,10);
		spr.readCsv("C:/Users/kisne/IdeaProjects/PR1-Spreadsheet/tmp/test.csv", ",");
		Scanner keyboard = new Scanner(System.in);

		spr.put("A3", "123");
		spr.put("A2", "3");
		spr.put("A5", "5");
		spr.put("B8", "6");
		

		spr.put("A8", "=Summe(A5:D8)");
		spr.put("J7", "=a2+2");
		spr.put("J8", "=a2+J7*4");



		System.out.println(spr);

		while(true){
			System.out.print("Please enter the cell name (e.g. D8, G5): ");
			String cellName = keyboard.nextLine();

			System.out.print("Please enter your value or your formula (starting with '='): ");
			String cellValue = keyboard.nextLine();

			spr.put(cellName, cellValue);

			System.out.println(spr);

			System.out.print("Do you want to end the program? Y/N: ");
			if(keyboard.nextLine().equalsIgnoreCase("Y")){
				break;
			}

		}

		spr.saveCsv("C:/Users/kisne/IdeaProjects/PR1-Spreadsheet/tmp/test.csv");
		
	}

}